<?php

namespace Litecms\ModeartorGroupQuery\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ModeartorGroupQueryTransformer extends TransformerAbstract
{
    public function transform(\Litecms\ModeartorGroupQuery\Models\ModeartorGroupQuery $modeartor_group_query)
    {
        return [
            'id'                => $modeartor_group_query->getRouteKey(),
            'key'               => [
                'public'    => $modeartor_group_query->getPublicKey(),
                'route'     => $modeartor_group_query->getRouteKey(),
            ], 
            'group_query_id'    => $modeartor_group_query->group_query_id,
            'transporter_id'    => $modeartor_group_query->transporter_id,
            'user_id'           => $modeartor_group_query->user_id,
            'final_rate'        => $modeartor_group_query->final_rate,
            'status'            => $modeartor_group_query->status,
            'url'               => [
                'public'    => trans_url('modeartor_group_query/'.$modeartor_group_query->getPublicKey()),
                'user'      => guard_url('modeartor_group_query/modeartor_group_query/'.$modeartor_group_query->getRouteKey()),
            ], 
            'status'            => trans('app.'.$modeartor_group_query->status),
            'created_at'        => format_date($modeartor_group_query->created_at),
            'updated_at'        => format_date($modeartor_group_query->updated_at),
        ];
    }
}